PO4A-TRANSLATE(1p)

NOM
po4a-translate - Convertir un fichier PO en fichier de documentation

SYNOPSIS
po4a-translate -f fmt -m maître.doc -p XX.po -l XX.doc

(XX.doc est le fichier de sortie, les autres sont des entrées)

DESCRIPTION
L'objectif du projet po4a [PO for anything -- PO pour tout] est de simplifier la traduction (et de façon plus intéressante, la maintenance des traductions) en utilisant les outils gettext dans des domaines pour lesquels ils n'étaient pas destinés, comme la documentation.

Le script po4a-translate sert à reconvertir la traduction (faite dans un fichier PO) dans le format d'origine. Le fichier PO fourni devrait être la traduction du fichier POT produit par po4a-gettextize(1).

OPTIONS

-f, --format
    Type de format de la documentation que vous souhaitez traiter. Utilisez l'option --help-format pour afficher la liste des formats disponibles.

-a, --addendum
    Ajoute le contenu d'un fichier dans le résultat (pour ajouter le nom du traducteur ou une section nommée « À propos de cette traduction », par exemple). La première ligne du fichier à ajouter (l'« addendum ») doit être un en-tête valable indiquant où l'ajout doit avoir lieu (voir la section Comment ajouter des choses n'étant pas des traductions dans po4a(7)).

-A, --addendum-charset
    Jeu de caractères des addenda. Notez que tous les ajouts doivent partager le même jeu de caractères.

-m, --master
    Fichier contenant les documents maîtres à traduire.

-M, --master-charset
    Jeu de caractères du fichier contenant les documents à traduire.

-l, --localized
    Fichier où sera écrit le document traduit.

-L, --localized-charset
    Jeu de caractères du fichier contenant le document traduit.

-p, --po
    Fichier contenant le catalogue de messages à lire.

-o, --option
    Passe une ou des options supplémentaires au greffon de format. Spécifiez chaque option en utilisant le format name=value. Veuillez vous référer à la documentation de chaque greffon pour la liste des options valides et leurs significations.

-k, --keep
    Seuil à dépasser afin que le fichier généré soit conservé et écrit sur disque (80 par défaut). C'est-à-dire que par défaut, les fichiers générés doivent être traduits à plus de 80% pour être écrits.

-w, --width
    Nombre de colonnes dans le fichier de sortie.

-h, --help
    Affiche un message d'aide.

--help-format
    Énumère les formats de documentations connus de po4a.

-V, --version
    Affiche la version du script et quitte.

-v, --verbose
    Rend le programme plus bavard.

-d, --debug
    Affiche quelques informations de débogage.

Ajouter du contenu (en plus de la traduction) aux fichiers générés
Pour ajouter du contenu autre que la traduction aux fichiers générés (comme le nom du traducteur ou une section à propos de la traduction), vous devez utiliser l'option --addendum.

La première ligne de l'addendum doit être un en-tête indiquant où l'ajout doit avoir lieu dans le fichier généré (cela peut être après ou avant une partie donnée du document). Le reste du fichier sera ajouté sans modification dans le fichier généré.

Remarquez que si l'ajout de l'un des fichiers échoue, la traduction complète est abandonnée (car le fichier manquant peut être celui indiquant le nom de l'auteur, ce qui empêcherait les utilisateurs de le contacter pour lui signaler des erreurs de traduction)

Les en-têtes ont une syntaxe relativement rigide. Pour plus d'informations à ce sujet, veuillez vous reporter à la page de manuel po4a(7).

VOIR AUSSI
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTEURS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCTION
 Martin Quinson (mquinson#debian.org)

COPYRIGHT ET LICENCE
Copyright 2002-2012 par SPI, inc.

Ce programme est un logiciel libre ; vous pouvez le copier et / ou le modifier sous les termes de la GPL (voir le fichier COPYING).